summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-emacs/mpg123-el/Manifest1
-rw-r--r--app-emacs/mpg123-el/mpg123-el-1.60.ebuild32
2 files changed, 33 insertions, 0 deletions
diff --git a/app-emacs/mpg123-el/Manifest b/app-emacs/mpg123-el/Manifest
index b9a8aa95d64..5a4d28097b1 100644
--- a/app-emacs/mpg123-el/Manifest
+++ b/app-emacs/mpg123-el/Manifest
@@ -1 +1,2 @@
DIST mpg123-el-1.59.tar.xz 34076 SHA256 6105c3d11099a96cc5cb77909ca8d9e5ea4d5cb78b6a7ca185eb350425e075b4 SHA512 48fae024529be7b88553fc43fb626253f3d3a10d6709378a565a0d407374569e5573e52c0b26abc4d6f2f51ad7f680d655a1ac15ff696f4534c39a9a3536bc0e WHIRLPOOL 6434aa2368976698437c0a7ec12c126861c7f0096f4263f59b555b59c8d20377b5279ce09ceb99bb4b333318541126bb990009234cbd611ffdc2b91e980903f0
+DIST mpg123-el-1.60.tar.xz 34104 SHA256 b80685f47488f602657e3cb320240b74ba0d1a49e8200dc2abe92850abbdc501 SHA512 5f4d7aefeaec6c5e94dcd5d15af7d0b89dc79274dce117309a70170cd0ec8cafac7c275518ea21d797d9251c31033b93c0581f26f83792c7b697094f4b194611 WHIRLPOOL 4d5cb7349648787894056c7f98ac00bba351f06f78049876a8ff3385367222839957d5f3fea07676000b78f42bfc98eedef9688ce91252fb1b30537265e9eccd
diff --git a/app-emacs/mpg123-el/mpg123-el-1.60.ebuild b/app-emacs/mpg123-el/mpg123-el-1.60.ebuild
new file mode 100644
index 00000000000..8514362a9be
--- /dev/null
+++ b/app-emacs/mpg123-el/mpg123-el-1.60.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit elisp toolchain-funcs
+
+DESCRIPTION="Emacs front-end to mpg123 audio player and OggVorbis audio player"
+HOMEPAGE="http://www.gentei.org/~yuuji/software/mpg123el/"
+SRC_URI="https://dev.gentoo.org/~ulm/distfiles/${P}.tar.xz"
+
+LICENSE="mpg123-el"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+RDEPEND="media-sound/mpg123
+ media-sound/alsa-utils"
+
+SITEFILE="50${PN}-gentoo.el"
+
+src_compile() {
+ $(tc-getCC) ${CFLAGS} ${LDFLAGS} -o tagput tagput.c || die
+ $(tc-getCC) ${CFLAGS} ${LDFLAGS} -o id3put id3put.c || die
+ elisp-compile *.el
+}
+
+src_install() {
+ dobin tagput id3put
+ elisp-install ${PN} *.el *.elc
+ elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+}